//
//  main.m
//  XmlRpcFilterService
//
//  Created by Les Orchard on Sun Mar 10 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "XmlRpcFilterServiceProvider.h"

int main(int argc, const char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	XmlRpcFilterServiceProvider *serviceProvider = [[XmlRpcFilterServiceProvider alloc] init];

	NSRegisterServicesProvider(serviceProvider, @"XmlRpcFilterService");

	NS_DURING
		[[NSRunLoop currentRunLoop] configureAsServer];
		[[NSRunLoop currentRunLoop] run];
	NS_HANDLER
		NSLog(@"%@", localException);
	NS_ENDHANDLER

	[serviceProvider release];
	[pool release];

	exit(0);       // insure the process exit status is 0
	return 0;      // ...and make main fit the ANSI spec.
}
